$day-border: 1px solid #e8e8e8;
$font-color: #aaa;
$today-color: rgba(108, 191, 229, 0.11);

.month {
  .month-name {
    text-align: center;
    font-size: 18px;
    padding-bottom: 20px;
    color: #6cc0e5;
    .text {
      margin: 0 20px;
    }
    .switcher {
      font-size: 20px;
      color: grey;
    }
    .today-button {
      display: inline-block;
      margin-left: 20px;
      padding: 5px;
    }
  }
  .week {
    width: 100%;
    max-width: 1050px;
    margin: auto;
  }
  .day {
    width: 14.2%;
    max-width: 150px;
    display: inline-block;
    cursor: pointer;

    .reminders > div {
      font-size: 12px;
      background: #e8e8e8;
      margin-bottom: 4px;
      border-radius: 3px;
      padding: 1px 4px;
    }
  }
  .day-name {
    text-align: center;
    padding-bottom: 5px;
    color: $font-color;
  }
  .week-place-holder {
    max-height: 150px;
    min-height: 25px;
    height: calc(20vh - 55px);
    display: flex;
    .day-place-holder {
      display: inline-flex;
      flex-direction: column;
      overflow: hidden;
      height: 100%;
      border-right: $day-border;
      border-bottom: $day-border;
      color: $font-color;
      padding: 0 5px 5px;
      position: relative;
      &:first-child {
        border-left: $day-border;
      }
      &.today {
        background: $today-color;
      }
      .day-number {
        width: 80%;
        display: inline-block;
      }
      .edit-day-reminders {
        display: none;
        width: 20%;
        text-align: right;
        font-size: 14px;
        padding: 0;
      }
      &:hover .edit-day-reminders{
        display: inline-block;
      }
      .overflow-button {
        position: absolute;
        background-image: linear-gradient(rgba(255,255,255, 0.1), rgba(0,0,0,0.8));
        color: #fff;
        padding: 5px;
        width: 100%;
        font-size: 14px;
        align-self: center;
        &:hover {
          text-decoration: underline;
        }
      }
    }
    &:first-child .day-place-holder {
      border-top: $day-border;
    }
  }
}
